%global theme_name gnome-shell-classic
%global theme_dir gnome-shell-theme-classic-3.28.1
Name: gnome-shell-theme-classic
Version: 3.28.1
Release: 5%{?dist}
Summary: The Classic gnome-shell theme
License: GPLv2
URL: http://wiki.gnome.org/Projects/GnomeShell/Extensions
Source0: %{name}-%{version}.tar.bz2
Requires: gnome-shell-extension-user-theme
Requires: gnome-shell-extension-top-icons >= %{version}-%{release}
Requires: gnome-shell >= %{version}-%{release}
BuildArch: noarch

%description
Classic is the RHEL base theme.

%prep
%setup -q

%build

%install
mkdir -p -m755 $RPM_BUILD_ROOT/%{_datadir}/themes/%{theme_name}/gnome-shell
cp -r %{_builddir}/%{theme_dir}/%{_datadir}/themes/%{theme_name}/gnome-shell/* $RPM_BUILD_ROOT/%{_datadir}/themes/%{theme_name}/gnome-shell/.

%files
%doc %{_datadir}/themes/%{theme_name}/gnome-shell/LICENSE
%dir %{_datadir}/themes/%{theme_name}
%dir %{_datadir}/themes/%{theme_name}/gnome-shell
%{_datadir}/themes/%{theme_name}/gnome-shell/*

%changelog
* Mon Nov 19 2018 Jean-Marc Liger <jean-marc.liger@parisdescartes.fr> - 3.28.1-5
- update 3.28.1

* Mon Apr 30 2018 Jean-Marc Liger <jean-marc.liger@parisdescartes.fr> - 3.26.2-1
- update 3.26.2

* Fri Aug 25 2017 Jean-Marc Liger <jean-marc.liger@parisdescartes.fr> - 3.22.2-1
- initial rpm build
